Subject: bug#22861: 25.0.90; mm-display-external deletes all other windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Jul 2019 15:46:24 +0200

Ingo Lohmar <[email-masked]> writes:

> Any mail buffer with a MIME part configured for "external"
> (separate-buffer) display should do.  If you have multiple windows open,
> mm-decode.el's mm-display-part (clicking/RET on a MIME part) creates a
> buffer to display the part, and then calls (delete-other-windows).  This
> is a bug --- destroying the window configuration like this should not
> happen if the user has not demanded it (via configuration or via
> customizing a hook variable).

Makes sense, I think.  I've now done so on the Emacs trunk, and we'll
see how that feels in practice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no